@font-face {
  font-family: 'Playfair Display';
  font-style: italic;
  font-weight: 600;
  font-display: swap;
  src: url('/fonts/PlayfairDisplay/PlayfairDisplay-SemiBoldItalic-Cyrillic.woff2') format('woff2');
  unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}

@font-face {
  font-family: 'Manrope';
  font-style: normal;
  font-weight: 200 800;
  font-display: swap;
  src: url('/fonts/Manrope/Manrope-Cyrillic.woff2') format('woff2');
  unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}

@font-face {
  font-family: 'Manrope';
  font-style: normal;
  font-weight: 200 800;
  font-display: swap;
  src: url('/fonts/Manrope/Manrope-CyrillicExt.woff2') format('woff2');
  unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
}

@font-face {
  font-family: 'Manrope';
  font-style: normal;
  font-weight: 200 800;
  font-display: swap;
  src: url('/fonts/Manrope/Manrope-Latin.woff2') format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329,
    U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
  font-family: 'Manrope';
  font-style: normal;
  font-weight: 200 800;
  font-display: swap;
  src: url('/fonts/Manrope/Manrope-LatinExt.woff2') format('woff2');
  unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF,
    U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  font-family: 'Manrope', sans-serif;
  font-optical-sizing: auto;
  font-size: 15px;
  font-weight: 400;
  font-style: normal;
  line-height: 22px;
  color: #0b0802c4;
}

body {
  margin: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: inherit;
  font-size: inherit;
  font-weight: inherit;
  margin: 0;
}

p {
  margin: 0;
}

a {
  text-decoration: none;
  color: inherit;
}

ul,
ol {
  list-style: none;
  margin: 0;
  padding: 0;
}

li {
  margin: 0;
  padding: 0;
}

input,
textarea {
  font-family: inherit;
  font-size: 16px;
  line-height: 20px;
  border: none;
  background: none;
  padding: 0;
}

button {
  font-family: inherit;

  padding: 0;

  border: none;
  background: none;

  appearance: none;
  cursor: pointer;
}

@media only screen and (max-width: 0px) {
  .no-xs {
    display: none !important;
  }
}

@media only screen and (min-width: 0px) and (max-width: 0px) {
  .no-sm {
    display: none !important;
  }
}

@media only screen and (min-width: 0px) and (max-width: 1023px) {
  .no-md {
    display: none !important;
  }
}

@media only screen and (min-width: 1024px) and (max-width: 1439px) {
  .no-lg {
    display: none !important;
  }
}

@media only screen and (min-width: 1440px) {
  .no-xl {
    display: none !important;
  }
}

@media only screen and (min-width: 1199px) {
  .no-desktop {
    display: none !important;
  }
}

@media only screen and (min-width: 767px) and (max-width: 991px),
  only screen and (min-width: 991px) and (max-width: 1199px) {
  .no-tablet {
    display: none !important;
  }
}

@media only screen and (min-width: 991px) and (max-width: 1199px) {
  .no-big-tablet {
    display: none !important;
  }
}

@media only screen and (min-width: 767px) and (max-width: 991px) {
  .no-small-tablet {
    display: none !important;
  }
}

@media only screen and (max-width: 575px), only screen and (min-width: 575px) and (max-width: 767px) {
  .no-mobile {
    display: none !important;
  }
}

.no-scroll {
  overflow: hidden;
}

.hidden-scroll {
  &::-webkit-scrollbar {
    display: none;
  }
}

.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.3s ease-in;
}

.fade-enter,
.fade-leave-active {
  opacity: 0;
}

.slide-fade-enter-active,
.slide-fade-leave-active {
  transition:
    opacity 0.3s ease-in,
    transform 0.3s ease-in;
}

.slide-fade-enter-from,
.slide-fade-leave-to {
  transform: translateY(15px);
  opacity: 0;
}

.fade-out-enter-active,
.fade-out-leave-active {
  transition: opacity 0.3s ease-in;
}

.fade-out-enter {
  opacity: 1;
}

.fade-out-leave-active {
  opacity: 0;
}

.translate-y-enter-active,
.translate-y-leave-active {
  transition: transform 0.3s ease-in;
}

.translate-y-enter,
.translate-y-leave-active {
  transform: translateY(100%);
}

.fade-in-down-enter-active,
.fade-in-down-leave-active {
  transition:
    transform 0.3s ease-in,
    opacity 0.3s ease-in;
}

.fade-in-down-enter,
.fade-in-down-leave-active {
  opacity: 0;
  transform: translateY(-100%);
}

.translate-x-enter-active,
.translate-x-leave-active {
  transition: transform 0.3s ease-in;
}

.translate-x-enter,
.translate-x-leave-to {
  transform: translateX(-100%);
}

.translate-x-enter-to,
.translate-x-leave {
  transform: translateX(0);
}

@keyframes slide-in-right {
  from {
    transform: translateX(100%);
    opacity: 0;
  }

  to {
    transform: translateX(0);
    opacity: 1;
  }
}

.gentle-slide-enter-active {
  animation: slide-in-right 0.4s cubic-bezier(0.36, 0.66, 0.04, 1);
}

.gentle-slide-leave-active {
  animation: slide-in-right 0.4s cubic-bezier(0.36, 0.66, 0.04, 1) reverse;
}
